JBossHTTPInvocationLayer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossHTTPInvocationLayer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossHTTPInvocationLayer

All Superinterfaces:
  JBossInvocationLayer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface JBossHTTPInvocationLayer

extends JBossInvocationLayer

Represents a JBoss HTTP Invocation Layer

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getRestInterval()`
`int` | `getTimeOut()`
`java.lang.String` | `getURL()`
`java.lang.String` | `getURLHostName()`
`int` | `getURLPort()`
`java.lang.String` | `getURLPrefix()`
`java.lang.String` | `getURLSuffix()`
`boolean` | `getUseHostName()`
`boolean` | `hasRestInterval()`
`boolean` | `hasTimeOut()`
`boolean` | `hasURL()`
`boolean` | `hasURLHostName()`
`boolean` | `hasURLPort()`
`boolean` | `hasURLPrefix()`
`boolean` | `hasURLSuffix()`
`boolean` | `hasUseHostName()`
`void` | `setRestInterval(int interval)`
`void` | `setTimeOut(int timeout)`
`void` | `setURL(java.lang.String url)`
`void` | `setURLHostName(java.lang.String hostname)`
`void` | `setURLPort(int port)`
`void` | `setURLPrefix(java.lang.String prefix)`
`void` | `setURLSuffix(java.lang.String suffix)`
`void` | `setUseHostName(boolean bool)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.jboss.JBossInvocationLayer
`getConnectionFactoryJNDIRef, getName, getParent, hasConnectionFactoryJNDIRef, hasName, hasParent, setConnectionFactoryJNDIRef, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getURL

    java.lang.String getURL()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setURL

    void setURL(java.lang.String url)

### hasURL

    boolean hasURL()

### getURLPrefix

    java.lang.String getURLPrefix()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setURLPrefix

    void setURLPrefix(java.lang.String prefix)

### hasURLPrefix

    boolean hasURLPrefix()

### getURLSuffix

    java.lang.String getURLSuffix()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setURLSuffix

    void setURLSuffix(java.lang.String suffix)

### hasURLSuffix

    boolean hasURLSuffix()

### getURLHostName

    java.lang.String getURLHostName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setURLHostName

    void setURLHostName(java.lang.String hostname)

### hasURLHostName

    boolean hasURLHostName()

### getTimeOut

    int getTimeOut()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTimeOut

    void setTimeOut(int timeout)

### hasTimeOut

    boolean hasTimeOut()

### getRestInterval

    int getRestInterval()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRestInterval

    void setRestInterval(int interval)

### hasRestInterval

    boolean hasRestInterval()

### getURLPort

    int getURLPort()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setURLPort

    void setURLPort(int port)

### hasURLPort

    boolean hasURLPort()

### getUseHostName

    boolean getUseHostName()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUseHostName

    void setUseHostName(boolean bool)

### hasUseHostName

    boolean hasUseHostName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD